<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Credentials: true");
header("Access-Control-Max-Age: 1000");
header("Access-Control-Allow-Headers: Content-Type, Authorization, x-Requested-with");
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept , Cache-Control, Pragma, Accept-Encoding");
header("Content-Type: application/json; charset=utf-8");

include "library/config.php";
include "library/config2.php";


use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;


require 'mailer/Exception.php';
require "mailer/PHPMailer.php";
require "mailer/SMTP.php";



// Allow from any origin
if(isset($_SERVER["HTTP_ORIGIN"]))
{
    // You can decide if the origin in $_SERVER['HTTP_ORIGIN'] is something you want to allow, or as we do here, just allow all
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
}
else
{
    //No HTTP_ORIGIN set, so we allow any. You can disallow if needed here
    header("Access-Control-Allow-Origin: *");
}

header("Access-Control-Allow-Credentials: true");
header("Access-Control-Max-Age: 600");    // cache for 10 minutes

if($_SERVER["REQUEST_METHOD"] == "OPTIONS")
{
    if (isset($_SERVER["HTTP_ACCESS_CONTROL_REQUEST_METHOD"]))
        header("Access-Control-Allow-Methods: POST, GET, OPTIONS, DELETE, PUT"); //Make sure you remove those you do not want to support

    if (isset($_SERVER["HTTP_ACCESS_CONTROL_REQUEST_HEADERS"]))
        header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

    //Just exit with 200 OK with the above headers for OPTIONS method
    exit(0);
}
//From here, handle the request as it is ok






$postjson = json_decode(file_get_contents('php://input'),true);



$fecha_hora = date('Y-m-d H:i:s');


//aqui parten las consultas a la bdd.




if($postjson['aksi']=='getdata'){
    $rut= $postjson['rut'];

     $sth2 = $dbh2->prepare("INSERT INTO visita (rut, fecha) VALUES (?, NOW())");
    $sth2->bindParam(1, $rut);
    // Excecute
    $sth2->execute();



  $sth = $dbh->prepare("select trabajadores.trab_id, trabajadores.nombres, trabajadores.paterno from trabajadores where trabajadores.rut='$rut'");
  $sth->setFetchMode(PDO::FETCH_ASSOC);
  $sth->execute();


  // Mostramos los resultados
  while ($row = $sth->fetch()){
    $trab_id = $row['trab_id'];
    $nombres = $row['nombres'];
    $paterno = $row['paterno'];
  }


  $data = array();
  $sth = $dbh->prepare("
  SELECT
  oecl.FANTASIA as fantasia,
  credenciales.entregado as encargado,
  cargo_agrupado.AGRUPADO_ID,
  area.NOMBRE_AREA as nombre_area,
  IF(antiguo = 0, CONCAT(cargo_agrupado.NOMBRE, ' - ', cargo.NOMBRE), cor_cargos.NOMBRE_CARGO) AS cargo_cert,
  DATE_FORMAT(competencias_laborales.FECHA_SOLICITUD,('%d-%m-%Y')) AS fecha,
  CAST(IF(antiguo = 1, competencias_laborales.CREDENCIAL,credenciales.cred_id) as char) AS credencial,
  DATE_FORMAT(credenciales.emision,'%d-%m-%Y') as emision,
  competencias_laborales.SAG as sag,
  competencias_laborales.CARGO_ID,
  competencias_laborales.LABORAL_ID,
  ifnull(competencias_laborales.OBS, 'sin comentarios') as OBS,
  ifnull(competencias_laborales.OBS_DESCARTE, 'sin comentarios') as OBS_DESCARTE,
  DATE_FORMAT(competencias_laborales.FECHA_TERMINO,'%d-%m-%Y') as 'vencimiento',
  competencias_laborales.ESTADO,
  competencias_laborales.ANTIGUO,
  competencias_laborales.OT_ID,
  competencias_laborales.FECHA_REVISION,
  estado_comp.estC_nombre,
  estado_comp.estC_id,
  (SELECT
  eva_competencias.FECHA_VENCIMINENTO
  FROM
  eva_competencias
  WHERE
  eva_competencias.LABORAL_ID = competencias_laborales.LABORAL_ID AND
  eva_competencias.TIPO_EVA_ID = 1
  LIMIT 1) AS medica,
  (SELECT
  eva_competencias.FECHA_VENCIMINENTO
  FROM
  eva_competencias
  WHERE
  eva_competencias.LABORAL_ID = competencias_laborales.LABORAL_ID AND
  eva_competencias.TIPO_EVA_ID = 2
  LIMIT 1) AS psicologica,
  (SELECT
  eva_competencias.FECHA_VENCIMINENTO
  FROM
  eva_competencias
  WHERE
  eva_competencias.LABORAL_ID = competencias_laborales.LABORAL_ID AND
  eva_competencias.TIPO_EVA_ID = 3
  LIMIT 1) AS tecnica,
  if(contratistas.fantasia is null, 'no','si') as TIENECONT
  FROM
  competencias_laborales
  LEFT OUTER JOIN oecl ON (competencias_laborales.OECL_ID = oecl.OECL_ID)
  LEFT OUTER JOIN solicitud ON (competencias_laborales.SOLICITA_ID = solicitud.SOLICITA_ID)
  LEFT OUTER JOIN contratistas ON (solicitud.CONT_ID = contratistas.CONT_ID)
  LEFT OUTER JOIN cargo ON (competencias_laborales.CARGO_ID = cargo.CARGO_ID)
  LEFT OUTER JOIN area ON (competencias_laborales.AREA_ID = `area`.AREA_ID)
  LEFT OUTER JOIN cargo_agrupado ON (competencias_laborales.CARGO_AGRUPADO_ID = cargo_agrupado.AGRUPADO_ID)
  INNER JOIN estado_comp ON (competencias_laborales.ESTADO = estado_comp.estC_id)
  LEFT OUTER JOIN cor_cargos ON (competencias_laborales.CARGO_ID = cor_cargos.COD_CARGO)
  LEFT OUTER JOIN credenciales ON (competencias_laborales.LABORAL_ID = credenciales.LAB_ID)
  WHERE
  competencias_laborales.LABORAL_ID IN (SELECT c1.laboral_id FROM competencias_laborales c1
  JOIN (SELECT cargo_id, Max(laboral_id) AS MAX_LABORAL_ID
  FROM competencias_laborales  WHERE  trab_id = '$trab_id' AND antiguo = 0 AND estado IN ( 6, 7, 8, 9, 12, 13 )
  GROUP BY cargo_id) c2 ON c2.cargo_id = c1.cargo_id AND c2.max_laboral_id = c1.laboral_id) order by competencias_laborales.LABORAL_ID ");
  $sth->setFetchMode(PDO::FETCH_ASSOC);
  $sth->execute();


  // Mostramos los resultados
  while ($row = $sth->fetch()){

  $fech_med="";
  $fech_psi="";
  $fech_tec="";

    //buscamos la fecha medico
    $sthm = $dbh->prepare("
      SELECT
      if(revalidacion.reconocida = 0,
      revalidacion.VIGENCIA,
      examen.VIGENCIA
      ) AS VIGENCIA,
      revalidacion.reconocida,
      if(examen.ANTIGUA = 1,
      DATE_FORMAT(examen.FECHA_VENCIMINENTO, '%d-%m-%Y'),
      if(revalidacion.reconocida = 0,
      DATE_FORMAT(DATE_ADD(revalidacion.FECHA_EXAMEN, INTERVAL revalidacion.VIGENCIA YEAR), '%d-%m-%Y') ,
      if(examen.FECHA_VENCIMINENTO='' or examen.FECHA_VENCIMINENTO IS NULL,
      DATE_FORMAT(DATE_ADD(examen.FECHA_EXAMEN, INTERVAL examen.VIGENCIA YEAR), '%d-%m-%Y'),
      DATE_FORMAT(examen.FECHA_VENCIMINENTO, '%Y-%m-%d')
      )
      ) 
      ) AS venc,
      if(revalidacion.reconocida = 0,
      revalidacion.FECHA_EXAMEN,
      examen.FECHA_EXAMEN
      ) AS FECHA_EXAMEN, revalidacion.EVA_ESTADO as EVA_ESTADO
      FROM
      eva_competencias revalidacion   LEFT JOIN eva_competencias examen
      ON (revalidacion.reconocida = examen.EVA_LAB_ID)
      WHERE   revalidacion.TIPO_EVA_ID = 1 AND revalidacion.LABORAL_ID = ?
      ");
    $sthm->bindParam(1, $row['LABORAL_ID']);
    $sthm->setFetchMode(PDO::FETCH_ASSOC);
    $sthm->execute();
    while ($row2 = $sthm->fetch()){
        $fech_med=$row2['venc'];
        //echo $row2['venc'];

    }


    $datetime1 = new DateTime('now');
    $datetime2 = new DateTime($fech_med);
    $dias_vigencia_medica = $datetime1->diff($datetime2);


    //buscamos la fecha psicologico
    $sthm = $dbh->prepare("
      SELECT 
      if(revalidacion.reconocida = 0, 
      revalidacion.VIGENCIA, 
      examen.VIGENCIA 
      ) AS VIGENCIA, 
      revalidacion.reconocida, 
      if(examen.ANTIGUA = 1, 
      DATE_FORMAT(examen.FECHA_VENCIMINENTO, '%d-%m-%Y'), 
      if(revalidacion.reconocida = 0, 
      DATE_FORMAT(DATE_ADD(revalidacion.FECHA_EXAMEN, INTERVAL revalidacion.VIGENCIA YEAR), '%d-%m-%Y') , 
      if(examen.FECHA_VENCIMINENTO='' or examen.FECHA_VENCIMINENTO IS NULL, 
      DATE_FORMAT(DATE_ADD(examen.FECHA_EXAMEN, INTERVAL examen.VIGENCIA YEAR), '%d-%m-%Y'), 
      DATE_FORMAT(examen.FECHA_VENCIMINENTO, '%Y-%m-%d') 
      ) 
      ) 
      ) AS venc, 
      if(revalidacion.reconocida = 0, 
      revalidacion.FECHA_EXAMEN, 
      examen.FECHA_EXAMEN 
      ) AS FECHA_EXAMEN, revalidacion.EVA_ESTADO as EVA_ESTADO 
      FROM 
      eva_competencias revalidacion   LEFT JOIN eva_competencias examen 
      ON (revalidacion.reconocida = examen.EVA_LAB_ID) 
      WHERE   revalidacion.TIPO_EVA_ID = 2 AND    revalidacion.LABORAL_ID = ?
      ");
    $sthm->bindParam(1, $row['LABORAL_ID']);
    $sthm->setFetchMode(PDO::FETCH_ASSOC);
    $sthm->execute();
    while ($row2 = $sthm->fetch()){
        $fech_psi=$row2['venc'];
        //echo $row2['venc'];

    }

    $datetime1 = new DateTime('now');
    $datetime2 = new DateTime($fech_psi);
    $dias_vigencia_psicologica = $datetime1->diff($datetime2);


     //buscamos la fecha tecnico
    $sthm = $dbh->prepare("
    SELECT
    if(revalidacion.reconocida = 0,
    revalidacion.VIGENCIA,
    examen.VIGENCIA
    ) AS VIGENCIA,
    revalidacion.reconocida,
    if(examen.ANTIGUA = 1,
    DATE_FORMAT(examen.FECHA_VENCIMINENTO, '%d-%m-%Y'),
    if(revalidacion.reconocida = 0,
    DATE_FORMAT(DATE_ADD(revalidacion.FECHA_EXAMEN, INTERVAL revalidacion.VIGENCIA YEAR), '%d-%m-%Y') , 
    if(examen.FECHA_VENCIMINENTO='' or examen.FECHA_VENCIMINENTO IS NULL,
    DATE_FORMAT(DATE_ADD(examen.FECHA_EXAMEN, INTERVAL examen.VIGENCIA YEAR), '%d-%m-%Y'), 
    DATE_FORMAT(examen.FECHA_VENCIMINENTO, '%Y-%m-%d')
    )
    ) 
    ) AS venc,
    if(revalidacion.reconocida = 0, 
    revalidacion.FECHA_EXAMEN,
    examen.FECHA_EXAMEN
    ) AS FECHA_EXAMEN, revalidacion.EVA_ESTADO as EVA_ESTADO
    FROM
    eva_competencias revalidacion   LEFT JOIN eva_competencias examen
    ON (revalidacion.reconocida = examen.EVA_LAB_ID)
    WHERE   revalidacion.TIPO_EVA_ID = 3 AND    revalidacion.LABORAL_ID = ?
    ");
    $sthm->bindParam(1, $row['LABORAL_ID']);
    $sthm->setFetchMode(PDO::FETCH_ASSOC);
    $sthm->execute();
    while ($row2 = $sthm->fetch()){
        $fech_tec=$row2['venc'];
        //echo $row2['venc'];
    }

    $datetime1 = new DateTime('now');
    $datetime2 = new DateTime($fech_tec);
    $dias_vigencia_tecnica = $datetime1->diff($datetime2);


      if($dias_vigencia_medica->format('%R%a')>=60){
        $medica_v="v";
      }
      if($dias_vigencia_medica->format('%R%a')<60 && $dias_vigencia_medica->format('%R%a')>=30 ){
        $medica_v="n";
      }
      if($dias_vigencia_medica->format('%R%a')<30){
        $medica_v="r";
      }
   
      if($dias_vigencia_psicologica->format('%R%a')>=60){
        $psicologica_v="v";
      }
      if($dias_vigencia_psicologica->format('%R%a')<60 && $dias_vigencia_psicologica->format('%R%a')>=30 ){
        $psicologica_v="n";
      }
      if($dias_vigencia_psicologica->format('%R%a')<30){
        $psicologica_v="r";
      }

 
      if($dias_vigencia_tecnica->format('%R%a')>=60){
        $tecnica_v="v";
      }
      if($dias_vigencia_tecnica->format('%R%a')<60 && $dias_vigencia_tecnica->format('%R%a')>=30 ){
        $tecnica_v="n";
      }
      if($dias_vigencia_tecnica->format('%R%a')<30){
        $tecnica_v="r";
      }

      $m = $fech_med;
      $p = $fech_psi;
      $t = $fech_tec;
    
        if(empty($m)){
            $m="N/A";
        }
        if(empty($p)){
            $p="N/A";
        }
        if(empty($t)){
            $t="N/A";
        }
        
      

      if($m>=$p && !empty($m)){
      	$vencimiento=$p;
      }elseif($p>=$m && !empty($p)){
      	$vencimiento=$m;
      }elseif($t>=$m && !empty($t)){
        $vencimiento=$t;
      }elseif($t>=$p && !empty($t)){
        $vencimiento=$t;  
      }
     
      if($medica_v== "r" || $psicologica_v == "r" || $tecnica_v == "r"){
         

        if($medica_v== "r" || $tecnica_v == "r"){
        }  
        elseif($row['sag']!=""){
           $data[] = array(
          'rut' => $rut,
          'cargo_cert' => $row['cargo_cert'],
          'fantasia' => $row['fantasia'],
          'nombre_area' => $row['nombre_area'],
          'credencial' => $row['credencial'],
          'emision' => $row['emision'],
          'sag' => $row['sag'],
          'medica' => $row['medica'],
          'psicologica' => $row['psicologica'],
          'tecnica' => $row['tecnica'],
          'nombres' => $nombres,
          'paterno' => $paterno,
          'laboral_id' => $row['LABORAL_ID'],
          'medica_v' => $medica_v,
          'psicologica_v' => $psicologica_v,
          'tecnica_v' => $tecnica_v,
          'vencimiento' => $vencimiento,
          );


        }else{
          $data[] = array(
            'rut' => "vacio",
          );
        }
      	

        }else{  
            $sin_utf8 = $row['nombre_area'];
            $con_utf8 = utf8_encode($sin_utf8);
            $row['nombre_area']=$con_utf8;
            
            
            
            
		    $data[] = array(
          'rut' => $rut,
		      'cargo_cert' => $row['cargo_cert'],
		      'fantasia' => $row['fantasia'],
		      'nombre_area' => $row['nombre_area'],
		      'credencial' => $row['credencial'],
		      'emision' => $row['emision'],
		      'sag' => "-",
		      'medica' => $row['medica'],
		      'psicologica' => $row['psicologica'],
		      'tecnica' => $row['tecnica'],
               'nombres' => $nombres,
		      'paterno' => $paterno,
		      'laboral_id' => $row['LABORAL_ID'],
		      'medica_v' => $medica_v,
		      'psicologica_v' => $psicologica_v,
		      'tecnica_v' => $tecnica_v,
		      'vencimiento' => $vencimiento,
		    );
		  }




     /*echo $rut;
     echo "--";
  echo $row['cargo_cert'];
  echo "--";
  echo $row['fantasia'];
  echo "--";
  echo $row['nombre_area'];
  echo "--";
  echo $row['credencial'];
  echo "--";
  echo $row['emision'];

  echo "--";
  echo $row['medica'];
  echo "--";
  echo $row['psicologica'];
  echo "--";
  echo $row['tecnica'];
  echo "--";
  echo $nombres;
   echo "--";
  echo $paterno;
  echo "--";
  echo $row['LABORAL_ID'];
  echo "--";
  echo $medica_v;
  echo "--";
  echo $psicologica_v;
  echo "--";
  echo $tecnica_v;
  echo "--";
  echo $vencimiento;
      */
  }
  
 

  /*
  if(empty($data)){
    $data[] = array(
        'rut' => "vacio",
        );
  }
*/


//    print_r($data);
    
  if($sth) $result = json_encode(array('success'=>true, 'result'=>$data));
  else $result = json_encode(array('success'=>false));
  echo $result;

}elseif($postjson['aksi']=='getnoticias'){

	$data2 = array();
  $sth2 = $dbh2->prepare("select noticias.id_noticia, noticias.titulo, noticias.contenido, noticias.link, noticias.fecha, noticias.imagen from noticias order by noticias.id_noticia DESC");
	$sth2->setFetchMode(PDO::FETCH_ASSOC);
	$sth2->execute();

	// Mostramos los resultados
	while ($row2 = $sth2->fetch()){


		$data2[] = array(
		    'titulo' => $row2['titulo'],
      	'contenido' => $row2['contenido'],
      	'link' => $row2['link'],
        'fecha' => $row2['fecha'],
        'imagen' => $row2['imagen']
		);

	}


	if($sth2) $result2 = json_encode(array('success'=>true, 'result'=>$data2));
	else $result2 = json_encode(array('success'=>false));
	echo $result2;



}elseif($postjson['aksi']=='contacto'){

 
  $rut = $postjson['rut'];
  $pregunta = $postjson['pregunta'];
  $correo = $postjson['correo'];
  $tipo_pregunta = $postjson['tipo_pregunta'];


    $sth2 = $dbh2->prepare("INSERT INTO visita (rut, fecha) VALUES (?, NOW())");
    $sth2->bindParam(1, $rut);
    // Excecute
    $sth2->execute();




  $sth2 = $dbh2->prepare("INSERT INTO contactenos (rut, pregunta, correo, tipo_pregunta, fecha) VALUES (?, ?, ?, ?, NOW())");

  
  $sth2->bindParam(1, $rut);
  $sth2->bindParam(2, $pregunta);
  $sth2->bindParam(3, $correo);
  $sth2->bindParam(4, $tipo_pregunta);
  // Excecute
  $sth2->execute();

  	
echo json_encode(array('ok'));

sleep(3);

$mail = new PHPMailer();
$mail->IsSMTP(); // habilita SMTP
$mail->SMTPDebug = 1; // debugging: 1 = errores y mensajes, 2 = sólo mensajes
$mail->SMTPAuth = true; // auth habilitada
$mail->SMTPSecure = 'ssl'; // transferencia segura REQUERIDA para Gmail
$mail->Host = "mail.seminarioscorma.cl";
$mail->Port = 465; // or 587
$mail->IsHTML(true);
$mail->Username = "app@seminarioscorma.cl";
$mail->Password = "Corma277";
$mail->SetFrom("app@seminarioscorma.cl");
$mail->Subject = "Nuevo Mensaje App Corma";
$mail->Body = "Nuevo mensaje de App corma usuario: " .$rut. " pregunta:" .$pregunta. " Tipo de comentario: ".$tipo_pregunta ;
$mail->AddAddress("app@seminarioscorma.cl");

 if(!$mail->Send()) {
    //echo "Mailer Error: " . $mail->ErrorInfo;
 } else {
    //echo "Message has been sent";
 }


  


}elseif($postjson['aksi']=='getpyr'){
  $rut = $postjson['rut'];
  
  $sth2 = $dbh2->prepare("INSERT INTO visita (rut, fecha) VALUES (?, NOW())");
    $sth2->bindParam(1, $rut);
    // Excecute
    $sth2->execute();
  
  
  $data2 = array();
  $sth2 = $dbh2->prepare("select contactenos.fecha, contactenos.pregunta, contactenos.respuesta from contactenos where contactenos.rut = ?  group by contactenos.fecha desc");
  $sth2->bindParam(1, $rut);
  $sth2->setFetchMode(PDO::FETCH_ASSOC);
  $sth2->execute();
  // Mostramos los resultados
  while ($row2 = $sth2->fetch()){
      
    $data2[] = array(
        'fecha' => $row2['fecha'],
        'pregunta' => $row2['pregunta'],
        'respuesta' => $row2['respuesta']
    );
    
    
  }
  
  if($sth2) $result2 = json_encode(array('success'=>true, 'result'=>$data2));
  else $result2 = json_encode(array('success'=>false));
  echo $result2;

  
}elseif($postjson['aksi']=='getpreguntas_frecuentes'){

  $data2 = array();
  $sth2 = $dbh2->prepare("select preguntas_frecuentes.titulo, preguntas_frecuentes.area, preguntas_frecuentes.respuesta from preguntas_frecuentes");
  $sth2->setFetchMode(PDO::FETCH_ASSOC);
  $sth2->execute();

  // Mostramos los resultados
  while ($row2 = $sth2->fetch()){


    $data2[] = array(
        'titulo' => $row2['titulo'],
        'area' => $row2['area'],
        'respuesta' => $row2['respuesta'] 
    );

  }


  if($sth2) $result2 = json_encode(array('success'=>true, 'result'=>$data2));
  else $result2 = json_encode(array('success'=>false));
  echo $result2;



}elseif($postjson['aksi']=='getultimas_evaluaciones'){
  $rut = $postjson['rut'];

$sth2 = $dbh2->prepare("INSERT INTO visita (rut, fecha) VALUES (?, NOW())");
    $sth2->bindParam(1, $rut);
    // Excecute
    $sth2->execute();


  $data = array();
  $sth = $dbh->prepare("select 
                        eva_competencias.tipo_eva_id as 'tipo_eva',
                        max(eva_competencias.fecha_examen) as 'fecha',
                        trabajadores.rut as'rut'
                        from
                        trabajadores,
                        competencias_laborales,
                        eva_competencias,
                        tipo_eva,
                        credenciales
                        where
                        trabajadores.trab_id=competencias_laborales.trab_id
                        and
                        competencias_laborales.laboral_id=eva_competencias.laboral_id
                        and
                        trabajadores.rut=?
                        and
                        eva_competencias.tipo_eva_id=tipo_eva.tipo_eva_id
                        and
                        credenciales.lab_id=competencias_laborales.laboral_id
                        group by eva_competencias.tipo_eva_id");

  $sth->bindParam(1, $rut);
  $sth->setFetchMode(PDO::FETCH_ASSOC);
  $sth->execute();
  $vuelta=0;
  $data3 = array();
  $row2="";
  // Mostramos los resultados
 
  while ($row = $sth->fetch()){
      
      $fecha=$row['fecha'];
      $rut=$row['rut']; 
      $tipo_eva=$row['tipo_eva']; 
      $sth2 = $dbh->prepare("select 
                              eva_competencias.tipo_eva_id as 'tipo',
                              eva_competencias.fecha_examen as 'fecha',
                              eva_competencias.fecha_venciminento as 'fecha_vencimiento',
                              trabajadores.rut as 'rut',
                              min(eva_competencias.laboral_id) as 'laboral' 
                              from
                              trabajadores,
                              competencias_laborales,
                              eva_competencias
                              where
                              trabajadores.trab_id=competencias_laborales.trab_id
                              and
                              competencias_laborales.laboral_id=eva_competencias.laboral_id
                              and
                              eva_competencias.fecha_examen=?
                              and
                              trabajadores.rut=?
                              and
							                eva_competencias.tipo_eva_id=?");
                            $sth2->bindParam(1, $fecha);
                            $sth2->bindParam(2, $rut);
                            $sth2->bindParam(3, $tipo_eva);

                            $sth2->setFetchMode(PDO::FETCH_ASSOC);
                            $sth2->execute();

                             while ($row2 = $sth2->fetch()){
                            	
                            $datetime1 = new DateTime('now');
						    $datetime2 = new DateTime($row2['fecha_vencimiento']);
						    $diferencia = $datetime1->diff($datetime2);
								
							if($diferencia->format('%R%a')>=60){
						        $color="v";
						      }
						      if($diferencia->format('%R%a')<60 && $diferencia->format('%R%a')>=30 ){
						        $color="n";
						      }
						      if($diferencia->format('%R%a')<30){
						        $color="r";
						      }           
                              $data3[$vuelta] = array(
                                    'tipo' => $row2['tipo'],
                                    'fecha' => $row2['fecha'],
                                    'laboral' => $row2['laboral'],
                                    'rut' => $row2['rut'],
                                    'color' => $color,
                                    'fecha_vencimiento' => $row2['fecha_vencimiento'],
                                );           
                             }
                             $vuelta=$vuelta+1;
                       


  }

  if($sth2) $result = json_encode(array('success'=>true, 'result'=>$data3));
  else $result = json_encode(array('success'=>false));
  echo $result;



}elseif($postjson['aksi']=='mostrar_oecl'){

  $data = array();
  $sth2 = $dbh2->prepare("SELECT id_oecl, oecl, direccion, comuna, telefono, celular, contacto1, contacto2, contacto3, correo1, correo2, correo3 FROM oecl");

  $sth2->setFetchMode(PDO::FETCH_ASSOC);
  $sth2->execute();
  // Mostramos los resultados
  while ($row = $sth2->fetch()){             

  

      $data[] = array(
          'oecl' => $row['oecl'],
          'direccion' => $row['direccion'],
          'comuna' => $row['comuna'],
          'telefono' => $row['telefono'],
          'celular' => $row['celular'],
          'contacto1' => $row['contacto1'],
          'contacto2' => $row['contacto2'],
          'contacto3' => $row['contacto3'],
          'correo1' => $row['correo1'],
          'correo2' => $row['correo2'],
          'correo3' => $row['correo3'],
      );
    

   }
  

  if($sth2) $result = json_encode(array('success'=>true, 'result'=>$data));
  else $result = json_encode(array('success'=>false));
  echo $result;

}elseif($postjson['aksi']=='validar_rut'){
  $rut = $postjson['rut'];
  $num_credencial=$postjson['numero_credencial'];
  //$numero_telefono=$postjson['numero'];
  $data = array();
  $sth = $dbh->prepare("SELECT trabajadores.rut FROM 
			trabajadores,
			competencias_laborales,
			credenciales 
			where 
			competencias_laborales.TRAB_ID=trabajadores.TRAB_ID
			and
			competencias_laborales.laboral_id=credenciales.lab_id
			and
			trabajadores.rut=?
			and
			credenciales.cred_id=?");

  $sth->bindParam(1, $rut);
  $sth->bindParam(2, $num_credencial);
  $sth->setFetchMode(PDO::FETCH_ASSOC);
  $sth->execute();
  // Mostramos los resultados
  $rutt="nulo";
  while ($row = $sth->fetch()){
	  $rutt = $row['rut'];
   }

   $data[] = array(
  		'rut' => $rutt,
    );
  

  if($sth) $result = json_encode(array('success'=>true, 'result'=>$data));
  else $result = json_encode(array('success'=>false));
  echo $result;
  
  
  if($rut==$rutt){
  
  $sth2 = $dbh2->prepare("INSERT INTO visita (rut, fecha) VALUES (?, NOW())");
    $sth2->bindParam(1, $rut);
    // Excecute
    $sth2->execute();
  
  
  $sth2 = $dbh2->prepare("INSERT INTO registro_instalacion (rut, credencial, numero_telefono, fecha_instalacion) VALUES (?, ?, ?, NOW())");
  $sth2->bindParam(1, $rut);
  $sth2->bindParam(2, $num_credencial);
  $sth2->bindParam(3, $numero_telefono);
  // Excecute
  $sth2->execute();
  }
  

}elseif($postjson['aksi']=='opinion_noticia'){
  
  $opinion = $postjson['opinion'];
  $rut = $postjson['rut'];
  $titulo_noticia = $postjson['titulo'];



  $data = array();
  $sth2 = $dbh2->prepare("SELECT rut FROM opinion_noticia where titulo_noticia='$titulo_noticia' and rut='$rut'");

  $sth2->setFetchMode(PDO::FETCH_ASSOC);
  $sth2->execute();
  // Mostramos los resultados
  while ($row = $sth2->fetch()){             
 		$rutt = $row['rut'];
   }


   if($rutt==$rut){

   }else{

   	$sth2 = $dbh2->prepare("INSERT INTO opinion_noticia (opinion_noticia, titulo_noticia, rut , fecha) VALUES (?, ?, ?, NOW())");
  	$sth2->bindParam(1, $opinion);
  	$sth2->bindParam(2, $titulo_noticia);
  	$sth2->bindParam(3, $rut);

   }
  
  // Excecute
  $sth2->execute();

  echo json_encode(array('ok'));

}elseif($postjson['aksi']=='ultima_noticia'){
  $data = array();
  $sth2 = $dbh2->prepare("SELECT max(id_noticia) as 'max_id' FROM noticias ");

  $sth2->setFetchMode(PDO::FETCH_ASSOC);
  $sth2->execute();
  // Mostramos los resultados
  while ($row = $sth2->fetch()){
	  $max = $row['max_id'];
   }

   $data[] = array(
  		'max_id' => $max,
    );
  

  if($sth2) $result = json_encode(array('success'=>true, 'result'=>$data));
  else $result = json_encode(array('success'=>false));
  echo $result;

}




















?>
